/*-------------------------------------------------------------------------
 *
 * dumpcache.h
 *	  header file for dumpcache function
 *
 *
 *
 *-------------------------------------------------------------------------
 */
#ifndef DUMPCACHE_H
#define DUMPCACHE_H

#define INVALIDRELNAME			"<invalid oid>"
#define EMPTYRELNAME			"<empty>"
#define NOTTHISDBRELNAME		"<relations in other databases>"


typedef struct RelBlockEntry 
	{
		char			name[NAMEDATALEN + 1];
		unsigned int	blocks;
	} RelBlockEntry;


extern TupleDesc DumpCacheResDesc(DumpCacheStmt *dumpstmt);

extern void DumpCache(DumpCacheStmt *dumpstmt, DestReceiver *dest);


#endif   /* DUMPCACHE_H */
